View Issue Details

IDProjectCategoryLast Update
0019420AI War 2[All Projects] Balance IssueJun 28, 2018 1:28 am
ReporterBadgerBadgerAssigned Tokeith.lamothe 
Severityminor 
Status resolvedResolutionfixed 
Product Version0.706 
Fixed in Version0.745 A Pivot And A Leap Forward 
Summary0019420: Dyson creates threat that kills you
DescriptionI just started a new game. The Dyson Sphere is relatively close to me. I'm attacking my first planet. The Dyson, placed on Nueli, a Mark IV planet, has angered some of the AI ships on that planet who are on their way to kill me. The Antagonized ships are on Timbale, and in a few minutes will show up and destroy my ark casually.

I seem to remember there was some code in the Dyson Sphere that should prevent AI ships it angers from becoming Threat? It doesn't seem to be working
TagsNo tags attached.

Relationships

related to 0019559 resolvedkeith.lamothe First wave arrived 30 seconds into new game 

Activities

BadgerBadger

Feb 9, 2018 4:36 pm

manager  

DysonAIThreat~#EN#62933172#289#confused#Vanilla#Difficulty 5.save (1,512,585 bytes)

BadgerBadger

Feb 13, 2018 12:20 am

manager   ~0046968

The nanocaust is likely to have a similar issue. Possible fixes include "If we would release this ship to Threat but the attacker isn't human, give it to the Warden Fleet instead", which is a bit hacky but might be simplest.

keith.lamothe

Mar 15, 2018 12:07 pm

administrator   ~0047206

Can you give me a save in the current version (old ones broken a couple times since then) ? I did some things to address this in the meantime, so it's hard to know what the current problem(s) are.

BadgerBadger

Mar 15, 2018 12:18 pm

manager   ~0047208

Last edited: Mar 15, 2018 12:19 pm

View 2 revisions

Here's a save with 2K of threat from the dyson in about 5 minutes. This threat is only 2K, but the issue really happens when the Dyson ticks off a Mark IV or V planet early in the game.



DysonGeneratingThreat.save (1,829,802 bytes)
DysonGeneratingThreat.savemet (41 bytes)

BadgerBadger

May 18, 2018 11:54 pm

manager   ~0047553

Still a problem on Pivot Stage 2

BadgerBadger

Jun 15, 2018 1:38 pm

manager   ~0047564

Last edited: Jun 15, 2018 3:16 pm

View 3 revisions

So there's a few issues that seem weird to me. First, in GameEntity::ReevaluateAIOrders(), it seems like a ton of units still wind up with EntityBehaviorType.Guard_Guardian_Patrolling even if their behaviour was set to "Attacker" the last time through this function.

Second, GameEntity::ReevaluateAIOrders() uses hostileData.TotalThreatProvokingStrength > FInt.Zero as the test for whether to fight a specific faction (as opposed to just generally being declared "Attacker" and going off to join the anti-human threat fleet). I enabled a minor faction that spawns ships that are hostile to the AI, and it seems that TotalThreatProvokingStrength is just 0 the entire time, which would explain why anything provoked by a minor faction would immediately go off to attack the player. I changed it to use MobileStrength instead and that seems to alleviate the problem. I'm not going to check this in though in case it disrupts other changes in the pipe from Keith

                                                                                                                                                                                                                                                                                                              
                            if ( isFreeing )
                            {
                                effectiveBehavior = EntityBehaviorType.Attacker;
                                if ( hostileData.MobileStrength > FInt.Zero ) <====
                                {

BadgerBadger

Jun 28, 2018 1:28 am

manager   ~0047575

fixed in the pivot

Issue History

Date Modified Username Field Change
Feb 9, 2018 4:36 pm BadgerBadger New Issue
Feb 9, 2018 4:36 pm BadgerBadger Status new => assigned
Feb 9, 2018 4:36 pm BadgerBadger Assigned To => keith.lamothe
Feb 9, 2018 4:36 pm BadgerBadger File Added: DysonAIThreat~#EN#62933172#289#confused#Vanilla#Difficulty 5.save
Feb 13, 2018 12:20 am BadgerBadger Note Added: 0046968
Mar 15, 2018 12:07 pm keith.lamothe Status assigned => feedback
Mar 15, 2018 12:07 pm keith.lamothe Note Added: 0047206
Mar 15, 2018 12:18 pm BadgerBadger File Added: DysonGeneratingThreat.savemet
Mar 15, 2018 12:18 pm BadgerBadger File Added: DysonGeneratingThreat.save
Mar 15, 2018 12:18 pm BadgerBadger Note Added: 0047208
Mar 15, 2018 12:18 pm BadgerBadger Status feedback => assigned
Mar 15, 2018 12:19 pm BadgerBadger Note Edited: 0047208 View Revisions
Apr 4, 2018 8:46 am BadgerBadger Relationship added related to 0019559
May 18, 2018 11:54 pm BadgerBadger Note Added: 0047553
Jun 15, 2018 1:38 pm BadgerBadger Note Added: 0047564
Jun 15, 2018 1:46 pm BadgerBadger Note Edited: 0047564 View Revisions
Jun 15, 2018 3:16 pm BadgerBadger Note Edited: 0047564 View Revisions
Jun 28, 2018 1:28 am BadgerBadger Status assigned => resolved
Jun 28, 2018 1:28 am BadgerBadger Resolution open => fixed
Jun 28, 2018 1:28 am BadgerBadger Fixed in Version => 0.745 A Pivot And A Leap Forward
Jun 28, 2018 1:28 am BadgerBadger Note Added: 0047575